Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.extensions
Interface WLCall

All Superinterfaces:
  Call

Deprecated. please migrate to jws for webservices

    public interface WLCall

extends Call

Field Summary

Fields inherited from interface javax.xml.rpc.Call
`ENCODINGSTYLE_URI_PROPERTY, OPERATION_STYLE_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, SOAPACTION_URI_PROPERTY, SOAPACTION_USE_PROPERTY, USERNAME_PROPERTY`

Method Summary
`Class` | `getParameterJavaType(String name)` Deprecated. Returns the Java data type of the specified parameter.
`ParameterMode` | `getParameterMode(String name)` Deprecated. Returns the mode (IN, OUT, or INOUT) of the parameter.
`Iterator` | `getParameterNames()` Deprecated. Returns the name of all the parameters of this call.

Methods inherited from interface javax.xml.rpc.Call
`addParameter, addParameter, getOperationName, getOutputParams, getOutputValues, getParameterTypeByName, getPortTypeName, getProperty, getPropertyNames, getReturnType, getTargetEndpointAddress, invoke, invoke, invokeOneWay, isParameterAndReturnSpecRequired, removeAllParameters, removeProperty, setOperationName, setPortTypeName, setProperty, setReturnType, setReturnType, setTargetEndpointAddress`

Method Detail

### getParameterNames

    Iterator getParameterNames()

  Deprecated.
  Returns the name of all the parameters of this call.

  Returns:
    name of the parameters

### getParameterJavaType

    Class getParameterJavaType(String name)

  Deprecated.
  Returns the Java data type of the specified parameter.

  Parameters:
    `name` - name of the parameter
  Returns:
    java Class of the specified parameter

### getParameterMode

    ParameterMode getParameterMode(String name)

  Deprecated.
  Returns the mode (IN, OUT, or INOUT) of the parameter.

  Parameters:
    `name` - name of the parameter
  Returns:
    the mode of the parameter specified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD